Subject: Re: [89attendees] Mobile phone service in London

From: "John Levine" <[email-masked]>
Date: 5 Feb 2014 21:38:12 -0000

In article <[email-masked]> you write:
>Thanks, Stuart.  This SIM seems to be better deal than the Vodafone SIM I've used in the past.
>
>It appears that online ordering and delivery is only available in the UK.  Do you know if I'm missing
>something?

Nope.  Maybe you can have them send it to your hotel.

Note that "Three" stands for 3G, and their network only works with 3G
and 4G phones.  For those of us with beat up old quad band phones, we're
stuck with someone else.

I have a prepaid sim from Orange (now merged into the pretentiously
named Everything Everywhere) with the "Camel" plan, in which each
topup includes a bunch of free international minutes I can use to call
home and assure people that it's still raining heavily and I'm not
having any fun at all.

>> In other news, I recently switched my US phone to the T-Mobile "Simple Choice Plan".

It's great where it works.  Unfortunately, in large parts of the U.S.,
such as where I live, T-Mo has no coverage at all and no schedule to
provide it.

R's,
John